package main

import (
	"fmt"
	"os"

	"gitlab.com/clseibold/misfin-server/misfin_client"
)

const ZORDSDAVINI_MISFIN = "misfin://zordsdavini@arns.lt"

func SendMisfinMessage(message string, recipient string) error {
	certFile, err := os.ReadFile("./identities/alkierios_misfin.pem")
	if err != nil {
		return fmt.Errorf("[Misfin-send] couldn't read misfin certificate: %s", err)
	}
	client := misfin_client.Client{MisfinB: true}
	resp, err := client.SendWithCert("misfin://zordsdavini@arns.lt", certFile, certFile, message)
	if err != nil {
		return fmt.Errorf("[Misfin-send] %s", err)
	}

	fmt.Printf(
		"[Misfin-send] %d %s\n",
		resp.Status,
		resp.Meta,
	) // Should print `20 <fingerprint>` if server is running

	return nil
}
